/*
 * Ported from: NGramLMTypes.h (Original Author: Keith Vertanen)
 */

/**
 * Packing in data into a single 4 byte struct 
 */
public class PackedNodeData {
	public int iID;					// ID of the word
	public int iOrder;				// Order of the n-gram, 0 = unigram, 1 = bigram, etc
	public float fLogProb;			// Log base e of the n-gram probability
	public NGramLMNode pLeft;		// Nodes at same level with a unique ID < us
	public NGramLMNode pRight;		// Nodes at same level with a unique ID > us
	
	public static final int PACKEDNODEDATA_SIZE_ESTIMATE = 16; // Porting note: Java estimation for five private fields a 4 bytes each
}
