
public class NGramLMTypes {
	
	public static final int NGRAM_WORD_ID_MAX 					= 134217727;		// 2^27 - 1
	public static final int NGRAM_MAX_ORDER   					= 32;				// 2^5
	
	public static final String DEFAULT_ERROR_LOG_FILENAME 		= "NGramLM.log";

	public static final String DEFAULT_START_WORD				= "<s>";
	public static final String DEFAULT_END_WORD					= "</s>";
	public static final String DEFAULT_UNK_WORD					= "<unk>";
	
	public static final double NGRAM_LM_LOG_PROB_ONE			= 0.0;		
	public static final double NGRAM_LM_LOG_PROB_ZERO			= -9999999999.0;
	public static final double NGRAM_LM_LOG_PROB_ZERO_COMPARE	= -99999999.0;
	public static final double NGRAM_LM_ZERO_EPSILON			= 1e-10;
	public static final double LN_10							= 2.302585093;

	
	private NGramLMTypes() {}; // Prevent instantiation

}
