/*
 * Ported from: NGramLM.h (Original Author: Keith Vertanen)
 */

/**
 * Results from evaluating on some text
 */
public class NGramStats {
	
	public float	fLogProb;		// Total sum of log probs
	public float	fAvgPPL;		// Average per word perplexity (includes </s> but not <s>)
	public int		iWords;			// Real words in the sentence
	public int		iOOVs;			// Number of OOV words (always 0 for LMs with unknown word)
	public int		iZeroProb;		// Words we couldn't evaluate due to being OOV
	public int		iSentences;		// How many sentences in the file

}
